#ifndef KEY_BOARD_CONTROL_NODE__HPP_
#define KEY_BOARD_CONTROL_NODE__HPP_

#include "rclcpp/rclcpp.hpp"
#include "geometry_msgs/msg/twist.hpp"

class KeyboardControlNode : public rclcpp::Node
{
public:
    KeyboardControlNode(); // 构造函数

private:

    void print_help();
    void timer_callback();

    // 成员变量
    rclcpp::Publisher<geometry_msgs::msg::Twist>::SharedPtr twist_pub_;
    rclcpp::TimerBase::SharedPtr timer_;
    double linear_speed_;   // 线速度（m/s）
    double angular_speed_;  // 角速度（rad/s）
};

#endif  // KEY_BOARD_CONTROL_NODE__HPP_